import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRThreadNetworkDiagnosticsClusterOperationalDatasetComponents extends _NSObject {
    static alloc(): _MTRThreadNetworkDiagnosticsClusterOperationalDatasetComponents;
    static new(): _MTRThreadNetworkDiagnosticsClusterOperationalDatasetComponents;
    init(): _MTRThreadNetworkDiagnosticsClusterOperationalDatasetComponents;
    activeTimestampPresent(): _NSNumber;
    setActiveTimestampPresent$(value: _NSNumber): void;
    pendingTimestampPresent(): _NSNumber;
    setPendingTimestampPresent$(value: _NSNumber): void;
    masterKeyPresent(): _NSNumber;
    setMasterKeyPresent$(value: _NSNumber): void;
    networkNamePresent(): _NSNumber;
    setNetworkNamePresent$(value: _NSNumber): void;
    extendedPanIdPresent(): _NSNumber;
    setExtendedPanIdPresent$(value: _NSNumber): void;
    meshLocalPrefixPresent(): _NSNumber;
    setMeshLocalPrefixPresent$(value: _NSNumber): void;
    delayPresent(): _NSNumber;
    setDelayPresent$(value: _NSNumber): void;
    panIdPresent(): _NSNumber;
    setPanIdPresent$(value: _NSNumber): void;
    channelPresent(): _NSNumber;
    setChannelPresent$(value: _NSNumber): void;
    pskcPresent(): _NSNumber;
    setPskcPresent$(value: _NSNumber): void;
    securityPolicyPresent(): _NSNumber;
    setSecurityPolicyPresent$(value: _NSNumber): void;
    channelMaskPresent(): _NSNumber;
    setChannelMaskPresent$(value: _NSNumber): void;
}
export interface _MTRThreadNetworkDiagnosticsClusterOperationalDatasetComponents extends _NSCopying {
}
